#ifndef COLLISIONDATA_HPP_INCLUDED
#define COLLISIONDATA_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class CollisionData : public Object
    {
        public:
            CollisionData();
            CollisionData(const void* Obj);
            CollisionData(const CollisionData& C);
            static Class GetClass();

            std::vector<std::vector<std::int32_t>> GetFlags() const;
            std::int32_t GetHeight() const;
            std::int32_t GetWidth() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;

    };
}

#endif // COLLISIONDATA_HPP_INCLUDED
